ELF_BEGIN(3)

NAME
elf_begin - Return descriptor for ELF file.

SYNOPSIS
#include <libelf.h>

Elf *elf_begin (int filedes, Elf_Cmd cmd, Elf *ref); Elf *elf_clone (int filedes, Elf_Cmd cmd); int elf_end (Elf *elf);

DESCRIPTION
The elf_begin()

RETURN VALUE

ERRORS
elf_begin ELF_E_NO_VERSION ELF_E_INVALID_FILE ELF_E_INVALID_CMD ELF_E_NOMEM elf_clone ELF_E_NOMEM elf_end

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface Attribute Value

SEE ALSO